Create a new issuance offer
curl --request POST \
--url https://test.didxtech.com/me-creds/api/v1/issuances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": [
{
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"attributes": {
"firstName": "John",
"lastName": "Doe"
}
},
{
"credentialTemplateId": "cm3abc123mdoc456template",
"attributes": {
"org.iso.18013.5.1": {
"given_name": "John",
"family_name": "Doe"
}
}
},
{
"presetId": "didx:basic-identity",
"attributes": {
"first_name": "John",
"last_name": "Doe"
}
}
]
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/issuances"
payload = { "credentials": [
{
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"attributes": {
"firstName": "John",
"lastName": "Doe"
}
},
{
"credentialTemplateId": "cm3abc123mdoc456template",
"attributes": { "org.iso.18013.5.1": {
"given_name": "John",
"family_name": "Doe"
} }
},
{
"presetId": "didx:basic-identity",
"attributes": {
"first_name": "John",
"last_name": "Doe"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: [
{
credentialTemplateId: 'cm2ytsdid009u4ke3t30aiuvc',
attributes: {firstName: 'John', lastName: 'Doe'}
},
{
credentialTemplateId: 'cm3abc123mdoc456template',
attributes: {'org.iso.18013.5.1': {given_name: 'John', family_name: 'Doe'}}
},
{
presetId: 'didx:basic-identity',
attributes: {first_name: 'John', last_name: 'Doe'}
}
]
})
};
fetch('https://test.didxtech.com/me-creds/api/v1/issuances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "cm7d9cq5600pwk3zq3kmpg8uc",
"status": "offered",
"error": null,
"credentials": [
{
"id": "cm7d9cq5600pzk3zq9wzxxtc3",
"status": "offered",
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"exchange": "openid4vc",
"format": "sd-jwt-vc",
"revocable": false
}
],
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"offerUri": "https://creds-app.test.didxtech.com/invitation?credential_offer_uri=https%3A%2F%2Fexample.com",
"offerQrUri": "https://creds-app.test.didxtech.com/invitation?credential_offer_uri=https%3A%2F%2Fexample.com&qr=true"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Credentials API
Create a new issuance offer
POST
/
v1
/
issuances
Create a new issuance offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Response
201 - application/json
Issuance created
Show child attributes
Show child attributes
Example:
{
"id": "cm7d9cq5600pwk3zq3kmpg8uc",
"status": "offered",
"error": null,
"credentials": [
{
"id": "cm7d9cq5600pzk3zq9wzxxtc3",
"status": "offered",
"credentialTemplateId": "cm2ytsdid009u4ke3t30aiuvc",
"exchange": "openid4vc",
"format": "sd-jwt-vc",
"revocable": false
}
],
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"offerUri": "https://creds-app.test.didxtech.com/invitation?credential_offer_uri=https%3A%2F%2Fexample.com",
"offerQrUri": "https://creds-app.test.didxtech.com/invitation?credential_offer_uri=https%3A%2F%2Fexample.com&qr=true"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

